Bug 1260581 (CVE-2015-8777) - CVE-2015-8777 glibc: LD_POINTER_GUARD in the environment is not sanitized
Summary: CVE-2015-8777 glibc: LD_POINTER_GUARD in the environment is not sanitized
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8777
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1260583 1276761 1383951
Blocks: 1260582 1415638
TreeView+ depends on / blocked
 
Reported: 2015-09-07 10:13 UTC by Adam Mariš
Modified: 2020-05-14 15:01 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the dynamic loader did not sanitize the LD_POINTER_GUARD environment variable. An attacker could use this flaw to bypass the pointer guarding protection on set-user-ID or set-group-ID programs to execute arbitrary code with the permissions of the user running the application.
Clone Of:
Environment:
Last Closed: 2015-10-21 10:29:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1916 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC
Sourceware 18928 None None None 2019-04-09 08:05:50 UTC

Description Adam Mariš 2015-09-07 10:13:32 UTC
A weakness in the dynamic loader has been found, making glibc of versions prior 2.22.90 affected. LD_POINTER_GUARD in the environment is not sanitizaed allowing attacker to easily bypass the pointer guarding protection on set-user-ID and set-group-ID programs.

Reproducing steps available at:

http://hmarco.org/bugs/glibc_ptr_mangle_weakness.html

CVE request:

http://seclists.org/oss-sec/2015/q3/504

Comment 1 Adam Mariš 2015-09-07 10:17:29 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1260583]

Comment 3 Stefan Cornelius 2015-10-21 10:28:33 UTC
CVE has been requested, still no response:
http://www.openwall.com/lists/oss-security/2015/09/05/8

Comment 5 Fedora Update System 2016-02-17 12:49:42 UTC
glibc-2.21-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Dan Callaghan 2016-02-18 02:40:40 UTC
Seems like WONTFIX is not the correct resolution here?

Comment 8 Martin Prpič 2016-07-07 07:56:53 UTC
Mitigation:

The glibc pointer guard is a post-exploitation mitigation mechanism.  As such, it is only relevant if there are exploitable security vulnerabilities in the system.  Therefore, applying available security updates to the system is a possible mitigation for this issue.

In typical deployments, environment variables can only be set by users with shell access.  Restricting shell access to trusted users is another possible mitigation.

Comment 10 errata-xmlrpc 2017-08-01 18:12:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1916 https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.